# Add Tags

To add a tag to the upcoming report, you can use this method and pass to it any number of strings, each denoting a unique tag.

{% tabs fullWidth="false" %}
{% tab title="iOS - Swift" %}

```swift
Luciq.appendTags(["Design", "Flow"])
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[Luciq appendTags:@[@"Design", @"Flow"]];
```

{% endtab %}

{% tab title="And - Java" %}

```java
Luciq.addTags("Tag one", "Tag two", "Tag three");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Luciq.addTags("Tag one", "Tag two", "Tag three");
```

{% endtab %}

{% tab title="RN" %}

```javascript
Luciq.appendTags(["Tag 1", "Tag 2"]);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
Luciq.appendTags(["Tag 1", "Tag 2"]);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/report-data/tags/add-tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
